Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Lal Kitab Dasha API

Access Lal Kitab Dasha from the DivineAPI Lal Kitab suite. Based on the principles of Lal Kitab (the Red Book of Vedic astrology), this endpoint returns the Lal Kitab Dasha (planetary period) timeline for the provided birth details.


API Endpoint

POST https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/dasha

Returns the requested Lal Kitab data in the response.


Supported Language Codes

You can localize the API response by passing the lan parameter in the request body.

CodeLanguage
enEnglish
hiHindi
bnBengali
maMarathi
tmTamil
tlTelugu
mlMalayalam
knKannada

Support Article: Translating Vedic APIs into Different Languages


Headers

NameTypeDescription
Authorization *StringYour API Access Token, e.g. Bearer {token}

Request Body

NameTypeDescription
api_key *StringYour API key
full_name *StringFull name, e.g. Rahul Kumar
day *IntegerDate of birth, e.g. 24
month *IntegerMonth of birth, e.g. 05
year *IntegerYear of birth, e.g. 2023
hour *IntegerHour (24-hour format), e.g. 14
min *IntegerMinute, e.g. 40
sec *IntegerSecond, e.g. 43
gender *StringGender, e.g. male
place *StringPlace of birth, e.g. New Delhi
lat *FloatLatitude, e.g. 28.7041
lon *FloatLongitude, e.g. 77.1025
tzone *FloatTimezone, e.g. 5.5 — See Timezone List
lanStringLanguage code as per the table above; default is en

200: OK Lal Kitab Dasha Fetched Successfully

{
    "success": 1,
    "data": {
        "dasha": [
            {
                "planet": "Saturn",
                "duration_years": 6,
                "date_start": "1990-05-24",
                "date_end": "1996-05-23",
                "antardashas": [
                    {
                        "planet": "Rahu",
                        "date_start": "1990-05-24",
                        "date_end": "1992-05-22"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "1992-05-23",
                        "date_end": "1994-05-22"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "1994-05-23",
                        "date_end": "1996-05-23"
                    }
                ]
            },
            {
                "planet": "Rahu",
                "duration_years": 6,
                "date_start": "1996-05-24",
                "date_end": "2002-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "1996-05-24",
                        "date_end": "1998-05-23"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "1998-05-24",
                        "date_end": "2000-05-22"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2000-05-23",
                        "date_end": "2002-05-23"
                    }
                ]
            },
            {
                "planet": "Ketu",
                "duration_years": 3,
                "date_start": "2002-05-24",
                "date_end": "2005-05-23",
                "antardashas": [
                    {
                        "planet": "Saturn",
                        "date_start": "2002-05-24",
                        "date_end": "2003-05-23"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2003-05-24",
                        "date_end": "2004-05-22"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2004-05-23",
                        "date_end": "2005-05-23"
                    }
                ]
            },
            {
                "planet": "Jupiter",
                "duration_years": 6,
                "date_start": "2005-05-24",
                "date_end": "2011-05-23",
                "antardashas": [
                    {
                        "planet": "Ketu",
                        "date_start": "2005-05-24",
                        "date_end": "2007-05-23"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2007-05-24",
                        "date_end": "2009-05-22"
                    },
                    {
                        "planet": "Jupiter",
                        "date_start": "2009-05-23",
                        "date_end": "2011-05-23"
                    }
                ]
            },
            {
                "planet": "Sun",
                "duration_years": 2,
                "date_start": "2011-05-24",
                "date_end": "2013-05-23",
                "antardashas": [
                    {
                        "planet": "Jupiter",
                        "date_start": "2011-05-24",
                        "date_end": "2012-01-21"
                    },
                    {
                        "planet": "Moon",
                        "date_start": "2012-01-22",
                        "date_end": "2012-09-20"
                    },
                    {
                        "planet": "Sun",
                        "date_start": "2012-09-21",
                        "date_end": "2013-05-23"
                    }
                ]
            },
            {
                "planet": "Moon",
                "duration_years": 1,
                "date_start": "2013-05-24",
                "date_end": "2014-05-23",
                "antardashas": [
                    {
                        "planet": "Sun",
                        "date_start": "2013-05-24",
                        "date_end": "2013-09-21"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2013-09-22",
                        "date_end": "2014-01-20"
                    },
                    {
                        "planet": "Moon",
                        "date_start": "2014-01-21",
                        "date_end": "2014-05-23"
                    }
                ]
            },
            {
                "planet": "Venus",
                "duration_years": 3,
                "date_start": "2014-05-24",
                "date_end": "2017-05-23",
                "antardashas": [
                    {
                        "planet": "Mercury",
                        "date_start": "2014-05-24",
                        "date_end": "2015-05-23"
                    },
                    {
                        "planet": "Jupiter",
                        "date_start": "2015-05-24",
                        "date_end": "2016-05-22"
                    },
                    {
                        "planet": "Venus",
                        "date_start": "2016-05-23",
                        "date_end": "2017-05-23"
                    }
                ]
            },
            {
                "planet": "Mars",
                "duration_years": 6,
                "date_start": "2017-05-24",
                "date_end": "2023-05-23",
                "antardashas": [
                    {
                        "planet": "Venus",
                        "date_start": "2017-05-24",
                        "date_end": "2019-05-23"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2019-05-24",
                        "date_end": "2021-05-22"
                    },
                    {
                        "planet": "Mars",
                        "date_start": "2021-05-23",
                        "date_end": "2023-05-23"
                    }
                ]
            },
            {
                "planet": "Mercury",
                "duration_years": 2,
                "date_start": "2023-05-24",
                "date_end": "2025-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "2023-05-24",
                        "date_end": "2024-01-21"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2024-01-22",
                        "date_end": "2024-09-20"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2024-09-21",
                        "date_end": "2025-05-23"
                    }
                ]
            },
            {
                "planet": "Saturn",
                "duration_years": 6,
                "date_start": "2025-05-24",
                "date_end": "2031-05-23",
                "antardashas": [
                    {
                        "planet": "Rahu",
                        "date_start": "2025-05-24",
                        "date_end": "2027-05-23"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2027-05-24",
                        "date_end": "2029-05-22"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2029-05-23",
                        "date_end": "2031-05-23"
                    }
                ]
            },
            {
                "planet": "Rahu",
                "duration_years": 6,
                "date_start": "2031-05-24",
                "date_end": "2037-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "2031-05-24",
                        "date_end": "2033-05-22"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2033-05-23",
                        "date_end": "2035-05-22"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2035-05-23",
                        "date_end": "2037-05-23"
                    }
                ]
            },
            {
                "planet": "Ketu",
                "duration_years": 3,
                "date_start": "2037-05-24",
                "date_end": "2040-05-23",
                "antardashas": [
                    {
                        "planet": "Saturn",
                        "date_start": "2037-05-24",
                        "date_end": "2038-05-23"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2038-05-24",
                        "date_end": "2039-05-23"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2039-05-24",
                        "date_end": "2040-05-23"
                    }
                ]
            },
            {
                "planet": "Jupiter",
                "duration_years": 6,
                "date_start": "2040-05-24",
                "date_end": "2046-05-23",
                "antardashas": [
                    {
                        "planet": "Ketu",
                        "date_start": "2040-05-24",
                        "date_end": "2042-05-23"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2042-05-24",
                        "date_end": "2044-05-22"
                    },
                    {
                        "planet": "Jupiter",
                        "date_start": "2044-05-23",
                        "date_end": "2046-05-23"
                    }
                ]
            },
            {
                "planet": "Sun",
                "duration_years": 2,
                "date_start": "2046-05-24",
                "date_end": "2048-05-23",
                "antardashas": [
                    {
                        "planet": "Jupiter",
                        "date_start": "2046-05-24",
                        "date_end": "2047-01-21"
                    },
                    {
                        "planet": "Moon",
                        "date_start": "2047-01-22",
                        "date_end": "2047-09-21"
                    },
                    {
                        "planet": "Sun",
                        "date_start": "2047-09-22",
                        "date_end": "2048-05-23"
                    }
                ]
            },
            {
                "planet": "Moon",
                "duration_years": 1,
                "date_start": "2048-05-24",
                "date_end": "2049-05-23",
                "antardashas": [
                    {
                        "planet": "Sun",
                        "date_start": "2048-05-24",
                        "date_end": "2048-09-21"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2048-09-22",
                        "date_end": "2049-01-20"
                    },
                    {
                        "planet": "Moon",
                        "date_start": "2049-01-21",
                        "date_end": "2049-05-23"
                    }
                ]
            },
            {
                "planet": "Venus",
                "duration_years": 3,
                "date_start": "2049-05-24",
                "date_end": "2052-05-23",
                "antardashas": [
                    {
                        "planet": "Mercury",
                        "date_start": "2049-05-24",
                        "date_end": "2050-05-23"
                    },
                    {
                        "planet": "Jupiter",
                        "date_start": "2050-05-24",
                        "date_end": "2051-05-23"
                    },
                    {
                        "planet": "Venus",
                        "date_start": "2051-05-24",
                        "date_end": "2052-05-23"
                    }
                ]
            },
            {
                "planet": "Mars",
                "duration_years": 6,
                "date_start": "2052-05-24",
                "date_end": "2058-05-23",
                "antardashas": [
                    {
                        "planet": "Venus",
                        "date_start": "2052-05-24",
                        "date_end": "2054-05-23"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2054-05-24",
                        "date_end": "2056-05-22"
                    },
                    {
                        "planet": "Mars",
                        "date_start": "2056-05-23",
                        "date_end": "2058-05-23"
                    }
                ]
            },
            {
                "planet": "Mercury",
                "duration_years": 2,
                "date_start": "2058-05-24",
                "date_end": "2060-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "2058-05-24",
                        "date_end": "2059-01-21"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2059-01-22",
                        "date_end": "2059-09-21"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2059-09-22",
                        "date_end": "2060-05-23"
                    }
                ]
            },
            {
                "planet": "Saturn",
                "duration_years": 6,
                "date_start": "2060-05-24",
                "date_end": "2066-05-23",
                "antardashas": [
                    {
                        "planet": "Rahu",
                        "date_start": "2060-05-24",
                        "date_end": "2062-05-23"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2062-05-24",
                        "date_end": "2064-05-22"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2064-05-23",
                        "date_end": "2066-05-23"
                    }
                ]
            },
            {
                "planet": "Rahu",
                "duration_years": 6,
                "date_start": "2066-05-24",
                "date_end": "2072-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "2066-05-24",
                        "date_end": "2068-05-22"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2068-05-23",
                        "date_end": "2070-05-22"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2070-05-23",
                        "date_end": "2072-05-23"
                    }
                ]
            },
            {
                "planet": "Ketu",
                "duration_years": 3,
                "date_start": "2072-05-24",
                "date_end": "2075-05-23",
                "antardashas": [
                    {
                        "planet": "Saturn",
                        "date_start": "2072-05-24",
                        "date_end": "2073-05-23"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2073-05-24",
                        "date_end": "2074-05-23"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2074-05-24",
                        "date_end": "2075-05-23"
                    }
                ]
            },
            {
                "planet": "Jupiter",
                "duration_years": 6,
                "date_start": "2075-05-24",
                "date_end": "2081-05-23",
                "antardashas": [
                    {
                        "planet": "Ketu",
                        "date_start": "2075-05-24",
                        "date_end": "2077-05-22"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2077-05-23",
                        "date_end": "2079-05-22"
                    },
                    {
                        "planet": "Jupiter",
                        "date_start": "2079-05-23",
                        "date_end": "2081-05-23"
                    }
                ]
            },
            {
                "planet": "Sun",
                "duration_years": 2,
                "date_start": "2081-05-24",
                "date_end": "2083-05-23",
                "antardashas": [
                    {
                        "planet": "Jupiter",
                        "date_start": "2081-05-24",
                        "date_end": "2082-01-21"
                    },
                    {
                        "planet": "Moon",
                        "date_start": "2082-01-22",
                        "date_end": "2082-09-21"
                    },
                    {
                        "planet": "Sun",
                        "date_start": "2082-09-22",
                        "date_end": "2083-05-23"
                    }
                ]
            },
            {
                "planet": "Moon",
                "duration_years": 1,
                "date_start": "2083-05-24",
                "date_end": "2084-05-23",
                "antardashas": [
                    {
                        "planet": "Sun",
                        "date_start": "2083-05-24",
                        "date_end": "2083-09-22"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2083-09-23",
                        "date_end": "2084-01-22"
                    },
                    {
                        "planet": "Moon",
                        "date_start": "2084-01-23",
                        "date_end": "2084-05-23"
                    }
                ]
            },
            {
                "planet": "Venus",
                "duration_years": 3,
                "date_start": "2084-05-24",
                "date_end": "2087-05-23",
                "antardashas": [
                    {
                        "planet": "Mercury",
                        "date_start": "2084-05-24",
                        "date_end": "2085-05-23"
                    },
                    {
                        "planet": "Jupiter",
                        "date_start": "2085-05-24",
                        "date_end": "2086-05-23"
                    },
                    {
                        "planet": "Venus",
                        "date_start": "2086-05-24",
                        "date_end": "2087-05-23"
                    }
                ]
            },
            {
                "planet": "Mars",
                "duration_years": 6,
                "date_start": "2087-05-24",
                "date_end": "2093-05-23",
                "antardashas": [
                    {
                        "planet": "Venus",
                        "date_start": "2087-05-24",
                        "date_end": "2089-05-22"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2089-05-23",
                        "date_end": "2091-05-22"
                    },
                    {
                        "planet": "Mars",
                        "date_start": "2091-05-23",
                        "date_end": "2093-05-23"
                    }
                ]
            },
            {
                "planet": "Mercury",
                "duration_years": 2,
                "date_start": "2093-05-24",
                "date_end": "2095-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "2093-05-24",
                        "date_end": "2094-01-21"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2094-01-22",
                        "date_end": "2094-09-21"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2094-09-22",
                        "date_end": "2095-05-23"
                    }
                ]
            },
            {
                "planet": "Saturn",
                "duration_years": 6,
                "date_start": "2095-05-24",
                "date_end": "2101-05-23",
                "antardashas": [
                    {
                        "planet": "Rahu",
                        "date_start": "2095-05-24",
                        "date_end": "2097-05-22"
                    },
                    {
                        "planet": "Mercury",
                        "date_start": "2097-05-23",
                        "date_end": "2099-05-22"
                    },
                    {
                        "planet": "Saturn",
                        "date_start": "2099-05-23",
                        "date_end": "2101-05-23"
                    }
                ]
            },
            {
                "planet": "Rahu",
                "duration_years": 6,
                "date_start": "2101-05-24",
                "date_end": "2107-05-23",
                "antardashas": [
                    {
                        "planet": "Mars",
                        "date_start": "2101-05-24",
                        "date_end": "2103-05-23"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2103-05-24",
                        "date_end": "2105-05-22"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2105-05-23",
                        "date_end": "2107-05-23"
                    }
                ]
            },
            {
                "planet": "Ketu",
                "duration_years": 3,
                "date_start": "2107-05-24",
                "date_end": "2110-05-23",
                "antardashas": [
                    {
                        "planet": "Saturn",
                        "date_start": "2107-05-24",
                        "date_end": "2108-05-22"
                    },
                    {
                        "planet": "Rahu",
                        "date_start": "2108-05-23",
                        "date_end": "2109-05-22"
                    },
                    {
                        "planet": "Ketu",
                        "date_start": "2109-05-23",
                        "date_end": "2110-05-23"
                    }
                ]
            }
        ]
    }
}

Code Integration Examples

Below are examples for using this API in different programming environments.


cURL Example

curl --location 'https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/dasha' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Test"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"' \

NodeJS Example

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/dasha',
  'headers': {
    'Authorization': 'Bearer {Your Auth Token}'
  },
  formData: {
    'api_key': '{Your API Key}',
    'full_name': 'Test',
    'day': '24',
    'month': '05',
    'year': '2023',
    'hour': '14',
    'min': '40',
    'sec': '43',
    'gender': 'male',
    'place': 'New Delhi',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5',
    'lan': 'en'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript (jQuery AJAX) Example

var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Test");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");

var settings = {
  "url": "https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/dasha",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {Your Auth Token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python Example

import requests

url = "https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/dasha"

payload = {'api_key': '{Your API Key}',
'full_name': 'Test',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en'}

headers = {
  'Authorization': 'Bearer {Your Auth Token}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)


This API serves as a foundation for further astrological computations, including Kundli generation, planetary charts, yogas, and personalized reports. It provides all key birth-time astrological parameters such as tithi, nakshatra, rashi, yoga, karana, varna, gana, and planetary influences, essential for deeper Vedic analysis.